export declare function simplifyNode(flowNode: any): any;
export declare function flowNodeToMarkdown(flowNodeIn: any, allProperties: string[]): string;
export declare function handleSchedule(flowNode: any, allProperties: string[]): string;
export declare function handleFilterItems(flowNode: any, allProperties: string[]): string;
export declare function handleScheduledPaths(flowNode: any, allProperties: string[]): string;
export declare function handleInputParameters(flowNode: any, allProperties: string[]): void;
export declare function handleprocessMetadataValues(flowNode: any, allProperties: string[]): any;
export declare function buildGenericMarkdownTable(item: any, fields: string[], title: string | undefined, allProperties: string[]): string;
export declare function buildCustomMarkdownTable(items: any, fields: string[], title: string | undefined, allProperties: string[]): string;
export declare function stringifyOperator(operatorIn: any): string;
export declare function stringifyValue(valueIn: any, field: string, allProperties: string[]): string;
export declare function prettifyFieldName(field: string): string;
export declare function mdEndSection(sectionString: string): string;
export declare function getElementAsArray(node: any, key: string): any[];
